## open-vm-tools 10.0.7-3227872

=== debian/changelog ===
open-vm-tools (2:10.0.7-3227872-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1558198).  Remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Apr 2016 17:06:49 -0700

open-vm-tools (2:10.0.7-3227872-2) unstable; urgency=medium

  * [f2f4971] Work around wrong dkms versions.
  * [1be403b] Move vmhgfs-fuse to open-vm-tools.
    As suggested by various people: vmhgfs-fuse is useful on server
    installations by mounting it from fstab, without having GTK installed.
    This closes bzed/pkg-open-vm-tools#4

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 24 Mar 2016 07:13:23 +0100

open-vm-tools (2:10.0.7-3227872-1) unstable; urgency=medium

  * [537ed0a] Drop -dbg package.
    Creating debug packages is handled by dh_strip automatically.
  * [3bef19a] Updating debian/watch to use github.
  * [806e1e9] Merge tag 'upstream/10.0.7-3227872'
    Upstream version 10.0.7-3227872

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 Mar 2016 14:30:13 +0100

open-vm-tools (2:10.0.5-3227872-2) unstable; urgency=medium

  * [da26597] Merge pull request #3 from rfc1036/usrmerge.
    Move mount.vmhgfs to /sbin/
    Closes: #810274

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Jan 2016 15:27:14 +0100

open-vm-tools (2:10.0.5-3227872-1) unstable; urgency=medium

  * [c973a13] Merge tag 'upstream/10.0.5-3227872'
    Upstream version 10.0.5-3227872
  * [d10e230] Auto-update version in open-vm-tools-dkms.dkms

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Dec 2015 17:26:52 +0100

open-vm-tools (2:10.0.0-3000743-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. (LP: #1492429) Remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Robert C Jennings <robert.jennings@ubuntu.com>  Sun, 01 Nov 2015 04:41:44 +0000

open-vm-tools (2:10.0.0-3000743-3) unstable; urgency=medium

  * [8b49d5b] fix open-vm-tools-dkms description

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 Oct 2015 23:28:22 +0100

open-vm-tools (2:10.0.0-3000743-2) unstable; urgency=medium

  * [e42d6de] Fix dkms config file.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 09:31:05 +0100

open-vm-tools (2:10.0.0-3000743-1) unstable; urgency=medium

  * [b0ae431] Merge tag 'upstream/10.0.0-3000743'
    Upstream version 10.0.0-3000743
    Closes: #797725
  * [27f0147] Snapshot changelog
  * [236554b] Refreshing patches.
  * [711f1e2] Merge remote-tracking branch 'origin/master'
  * [bfc0ed3] Remove the vmhgfs module and tools.
  * [6ab9fc7] Move fuse binaries into open-vm-tools-desktop package.
  * [2617cef] Use -std=gnu++11
  * [e5e0c1f] ensure dh_fixperms runs as root
  * [4c57986] Remove paths from maintainer scripts.
  * [03db1df] Fix dkms destination folder.
  * [fb5a5a1] Merge branch 'master' of github.com:bzed/pkg-open-vm-tools
  * [ba55c8a] Work around broken cflags from libsigc++.
  * [c78bd75] Always use vmhgfs-fuse.
    We want to avoid the need to patch the module for every new kernel.
    VMware officially supports vmhgfs-fuse for kernels >= 4.0, but
    it should just work fine for older kernels. (Closes: #800322)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 08:52:49 +0100

open-vm-tools (2:9.10.2-2822639-3) unstable; urgency=medium

  * [41f90f1] Make open-vm-tools-dev amd64/i386 instead of all.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 17:51:24 +0200

open-vm-tools (2:9.10.2-2822639-2) unstable; urgency=medium

  * [6537e76] Update package version in dkms file.
  * [c3a1d4a] Add patch to support backing dev info.
    Thanks to Peter Vrabel (Closes: #794843)
  * [be97f01] Add missing #DEBHELPER# statement.
  * [eac5b6a] Updating Standards Version
  * [a508cfe] Remove path from command in maintainer script.
  * [085d637] Remove executable bit from config files.
  * [b084140] Move all dev files into the -dev package.
  * [ac965de] Fix building vmghfs for kernel >= 4.1.
    Thanks to Achim Schaefer (Closes: #794707)
  * [16ca60a] Update gbp config header in debian/gbp.conf.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 Aug 2015 16:27:27 +0200
