=== debian/control ===
Source: open-vm-tools
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends:
 debhelper (>= 9), autotools-dev, dkms, doxygen, libcunit1-dev,
 libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
 libicu-dev, libnotify-dev, libpam0g-dev, libprocps-dev, libx11-dev,
 libxinerama-dev, libxss-dev, libxtst-dev, dh-autoreconf, dh-systemd,
 libmspack-dev, libssl-dev,
Standards-Version: 3.9.6
Homepage: http://open-vm-tools.sourceforge.net/
Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools

Package: open-vm-tools
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ethtool, zerofree, fuse
Suggests: open-vm-tools-desktop
Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains only the core user-space programs and libraries.

Package: open-vm-tools-desktop
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Breaks: open-vm-tools (<< 2:10.0.0~)
Replaces: open-vm-tools (<< 2:10.0.0~)
Recommends:
 open-vm-tools-dkms, xauth, xserver-xorg-input-vmmouse,
 xserver-xorg-video-vmware, fuse
Suggests: xdg-utils
Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the user-space programs and libraries that are essential
 for improved user experience of VMware virtual machines.

Package: open-vm-tools-dev
Section: devel
Architecture: amd64 i386
Depends: ${misc:Depends}
Breaks: open-vm-tools (<< 2:9.10.2-2822639-2~)
Replaces: open-vm-tools (<< 2:9.10.2-2822639-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (development)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the development files.

Package: open-vm-tools-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends}, dkms, make
Breaks: open-vm-tools (<< 2:9.4.0-1280544-8~)
Replaces: open-vm-tools (<< 2:9.4.0-1280544-8~)
Recommends: open-vm-tools
Suggests: open-vm-tools-desktop
Description: Open VMware Tools vmxnet kernel module (deprecated)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package provides the source code for the vmxnet module, which was
 superseded by vmxnet3. You should only install this package if you know
 that you need the legacy vnxnet module.
 Kernel source or headers are required to compile it using DKMS.
