## open-vm-tools 10.1.5-5055683

=== debian/changelog ===
open-vm-tools (2:10.1.5-5055683-4+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Adding debian/gbp.conf for jessie-backports. 
  * Revert "Stay with libssl1.0 for now."

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 Aug 2017 23:22:58 +0200

open-vm-tools (2:10.1.5-5055683-4+deb9u1) stretch; urgency=medium

  * [dec8df6] Upstream fix for CVE-2015-5191 (Closes: #869633)
  * [ff10dcb] Update gbp.conf for stretch.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 Jul 2017 11:40:02 +0200

open-vm-tools (2:10.1.5-5055683-4) unstable; urgency=medium

  * [27689b3] Load the fuse module before mounting /run/vmblock-fuse.
    Thanks to Norbert Lange (Closes: #860875, #860861)
  * [008bdde] Don't recommend -dkms for -desktop.
    The dkms package is clearly not necessary anymore here.
    Thanks to Oliver Kurth (Closes: #860857)
  * [ffc37f2] Let -desktop depend on fuse.
    Mounting fuse filesystems requires mount.fuse - and doing so
    is required for a working desktop running under VMware.
  * [cf1f9b3] Ensure /run/vmblock-fuse is mounted properly.
    - open-vm-tools-desktop.postinst: Add the fuse module if it was
      not loaded into the kernel before
    - Handle the mount unit with dh_systemd_*
    - Ensure /run/vmblock-fuse is mounted before open-vm-tools.service
      is started.
  * [1f479db] Do not restart run-vmblock\x2dfuse.mount on upgrades.
    Restarting won't work if people are using the mountpoint,
    also it would require to restart vmtoolsd.
  * Unfortunately mounting the fuse filesystem properly depends
    on a fix in deb-systemd-invoke, see #861204.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 30 Apr 2017 06:21:41 +0200

open-vm-tools (2:10.1.5-5055683-3) unstable; urgency=medium

  * [0aa95b6] Start open-vm-tools before cloud-init-local.service.
    Required for a working guest customization as reported by VMware.
    Also add cloud-init to 'Suggests'.
    Thanks to Sankar Tanguturi (Closes: #859677)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 09 Apr 2017 21:54:21 +0200

open-vm-tools (2:10.1.5-5055683-2) unstable; urgency=medium

  * [651cdfe] Depend on iproute2.
    Necessary for /etc/vmware-tools/scripts/vmware/network.
  * [ed95c1d] Depend on libssl1.0-dev | libssl-dev.
    Thanks to Tiago Daitx (Closes: #856569)
    Makes building the package in Ubuntu easier.
  * [2750700] Add o-v-t as dependency of o-v-t-dev.
    Thanks to Andreas Beckmann (Closes: #858494)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 23 Mar 2017 09:35:16 +0100
>>>>>>> stretch

open-vm-tools (2:10.1.5-5055683-1) unstable; urgency=medium

  * [60d1417] Merge tag 'upstream/10.1.5-5055683'
    Upstream version 10.1.5-5055683
    Closes: #856330

    10.1.5 is a point release fixing the following issues:
    - Authentication failure is reported as unknown general system error.
      Attempts to authenticate through VGAuth service might result
      in an authentication-specific error such as an expired account or
      password. The authentication-specific error might then be incorrectly
      reported as an unknown general system error, similar to the following:
      CommunicationException: Failed to create temp file on target
      <IP_ADDRESS>: A general system error occurred: Unknown error

    - Unable to backup virtual machines with active Docker containers.
      This bug should not happen in Debian stretch at all, but might
      be relevant for backports.

    - Fix ISO mappings for CentOS/OracleLinux. Not relevant for Debian

    - Thaw Filesystems if snapshot commit message to VMX fails.

    - Add missing agent configuration files that were accidentally
      ignored by .gitignore

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Feb 2017 15:54:58 +0100

open-vm-tools (2:10.1.0-4449150-4) unstable; urgency=medium

  [ Chris Glass ]
  * [d55b33f] Point the control file's homepage to the new one.
    The upstream open-vm-tools switched from sourceforge to github. This
    simply updates the link to reflect that.
    Signed-off-by: Chris Glass <chris.glass@canonical.com>

  [ Bernd Zeimetz ]
  * [f44a9a8] Drop duplicate udev rules.
    Timeouts are set in 99-vmware-scsi-udev.rules now,
    shipped by upstream.
    Thanks to Bernhard Schmidt (Closes: #851240)
  * [21df3fa] Install vgauth.service.
    vgauth is a service that allows authentication in the guest using SAML
    tokens. Necessary for guest operations initiated from the vSphere
    datacenter. (Closes: #855337)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 21 Feb 2017 22:45:06 +0100

open-vm-tools (2:10.1.0-4449150-3) unstable; urgency=medium

  * [17b04da] Override dh_md5sums for arch-dependent packages only.
    Thanks to Santiago Vila (Closes: #849876)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Jan 2017 22:11:18 +0100

open-vm-tools (2:10.1.0-4449150-2) unstable; urgency=medium

  * [fe8ae94] Stay with .gz as compression.
  * [afb2f52] Use systemd-detect-virt if available.
    Use systemd-detect-virt to detect VMware platform because
    vmware-checkvm might misbehave on non-VMware platforms.
    (RHBZ#1251656)
  * [1505d5f] Re-indent files properly.
  * [1b0b7eb] vm-support script needs lspci from pciutils.
    (RHBZ#1388766)
  * [1e2eb34] Make dpkg --verify happy now. (Closes: #847221)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 06 Dec 2016 22:58:30 +0100

open-vm-tools (2:10.1.0-4449150-1) unstable; urgency=medium

  * [72150f0] Merge tag 'upstream/10.1.0-4449150'
    Upstream version 10.1.0-4449150
  * [d4743dd] Bump dh compat level to 10.
  * [acce982] Handle open-vm-tools subdirectory as shipped by upstream.
  * [9047555] Install upstream changelog.
  * [fafb845] Remove extra \ from md5sums file.
    See #843163
    dpkg: -V fails on files with \ in the name
    for details.
  * [1455af1] Refreshing patches.
  * [776971c] dh_autoreconf_clean doesn't need --sourcedirectory.
  * [d50714b] Stay with libssl1.0 for now. (Closes: #828476)
  * [a0c6696] Fix dkms.sh call for new directory structure.


