=== debian/rules ===
--- 
+++ 
@@ -2,41 +2,44 @@
 
 VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^.*:||' -e 's|-.*$$||')
 
-UPSTREAM_VERSION = $(strip $(shell grep '^TOOLS_VERSION' configure.ac | sed 's,.*=",,;s,",,'))
+UPSTREAM_VERSION = $(strip $(shell grep '^TOOLS_VERSION' open-vm-tools/configure.ac | sed 's,.*=",,;s,",,'))
 
 %:
-	dh ${@} --with autotools_dev,dkms,autoreconf,systemd
+	dh ${@} --with autotools_dev,dkms,autoreconf,systemd --sourcedirectory=open-vm-tools
 
 override_dh_autoreconf:
-	cp configure.ac configure.ac.autoreconf
-	cp modules/linux/dkms.sh modules/linux/dkms.sh.autoreconf
-	sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' configure.ac
-	sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' modules/linux/dkms.sh
-	dh_autoreconf
+	set -e; \
+	    cd open-vm-tools ; \
+	    cp configure.ac configure.ac.autoreconf ; \
+	    cp modules/linux/dkms.sh modules/linux/dkms.sh.autoreconf ;\
+	    sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' configure.ac ;\
+	    sed -i 's,$(UPSTREAM_VERSION),$(VERSION),g' modules/linux/dkms.sh
+	dh_autoreconf --sourcedirectory=open-vm-tools
 
 override_dh_autoreconf_clean:
-	dh_autoreconf_clean
-	if [ -f configure.ac.autoreconf ]; then \
-	    mv configure.ac.autoreconf configure.ac ;\
-	fi
-	if [ -f modules/linux/dkms.sh.autoreconf ]; then \
-	    mv modules/linux/dkms.sh.autoreconf modules/linux/dkms.sh ;\
-	fi
+	dh_autoreconf_clean 
+	set -e ;\
+	    cd open-vm-tools ; \
+	    if [ -f configure.ac.autoreconf ]; then \
+	        mv configure.ac.autoreconf configure.ac ;\
+	    fi ;\
+	    if [ -f modules/linux/dkms.sh.autoreconf ]; then \
+	        mv modules/linux/dkms.sh.autoreconf modules/linux/dkms.sh ;\
+	    fi
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	dh_auto_configure --sourcedirectory=open-vm-tools -- \
 			--prefix=/usr \
 			--libdir=\$${prefix}/lib \
 			--without-kernel-modules \
 			--with-pic \
-			--without-xmlsecurity --without-xerces \
 			CFLAGS="-fPIC -Wno-deprecated-declarations $(CFLAGS)" \
 			CUSTOM_PROCPS_NAME=procps \
 			CXXFLAGS='-std=gnu++11'
 	find . -name Makefile -exec sed -i '/.*CPPFLAGS.*/s,-std=c++11,,' '{}' \;
 
 override_dh_auto_install:
-	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools
+	dh_auto_install --sourcedirectory=open-vm-tools -- DESTDIR=$(CURDIR)/debian/open-vm-tools
 
 	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
 	then \
@@ -53,6 +56,7 @@
 	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf
 
 	install -D -m 0644 debian/local/run-vmblock\\x2dfuse.mount debian/open-vm-tools-desktop/lib/systemd/system/run-vmblock\\x2dfuse.mount
+	install -D -m 0644 debian/local/open-vm-tools-desktop.conf debian/open-vm-tools-desktop/usr/lib/modules-load.d/open-vm-tools-desktop.conf
 
 	# open-vm-tools-dev
 	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
@@ -68,7 +72,7 @@
 
 	# open-vm-tools-dkms
 	mkdir -p debian/open-vm-tools-dkms/usr/src
-	sh modules/linux/dkms.sh . debian/open-vm-tools-dkms/usr/src
+	cd open-vm-tools && sh modules/linux/dkms.sh . ../debian/open-vm-tools-dkms/usr/src
 	find debian/open-vm-tools-dkms/usr/src -name COPYING | xargs rm -f
 	find debian/open-vm-tools-dkms/usr/src -name "Makefile*" | xargs chmod 0755
 
@@ -112,7 +116,22 @@
 
 	dh_fixperms -Xvmware-user-suid-wrapper
 
+override_dh_systemd_enable:
+	dh_systemd_enable -popen-vm-tools
+	dh_systemd_enable -popen-vm-tools --name vgauth
+	dh_systemd_enable -popen-vm-tools-desktop run-vmblock\\x2dfuse.mount
+
 override_dh_systemd_start:
-	dh_systemd_start
+	dh_systemd_start -popen-vm-tools
+	dh_systemd_start -popen-vm-tools --name vgauth
+	dh_systemd_start -popen-vm-tools-desktop -r --no-restart-after-upgrade run-vmblock\\x2dfuse.mount
 	sed -i 's,run-vmblock-fuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
 
+override_dh_installchangelogs:
+	dh_installchangelogs ReleaseNotes.md
+
+override_dh_md5sums-arch:
+	dh_md5sums
+	# remove broken \ escaping from md5sums
+	sed -i -e 's,^\\,,' -e 's,\\\\,\\,' debian/open-vm-tools-desktop/DEBIAN/md5sums
+
