## open-vm-tools 10.1.10

=== debian/changelog ===
open-vm-tools (2:10.1.10-3) unstable; urgency=medium

  * [00bc9bb] Build with CXXFLAGS=-std=c++14.
    Thanks to Rene Engelhard and Oliver Kurth (Closes: #876121)
  * [6b61376] Re-add .travis.yml.
    Seems it went missing with the last merge.
  * [bf07ae8] Work around dh_systemd escaping bugs again.
    Seems the unit escaping changed with a new dh version.
    Work around the known and reported fails again.
    Thanks to Christian Ehrhardt (Closes: #875657)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Sep 2017 13:24:08 +0200

open-vm-tools (2:10.1.10-2) unstable; urgency=medium

  [ Shota Aratono ]
  * [5ab87bd] Fix scsi timeout setting error on debian stretch
  * [c0847eb] Fix attempting change setting to unintentional target

  [ Raphaël Hertzog ]
  * [dc2e27f] Add patch to support resolution switching with KMS.
    This is needed for proper support of Wayland sessions. (Closes: #872779)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 Aug 2017 23:32:32 +0200

open-vm-tools (2:10.1.10-1) unstable; urgency=medium

  * Drop the extra part of the version string.
    Easier to handle in the short variant.
  * [6be6a49] Updating watch file.
    Use tags from github.
  * [8c25235] Updated version 10.1.10 from 'upstream/10.1.10'
    with Debian dir 3dddea7985f21457b294b5f554d5ecdf32aabfff
  * [195cead] Refreshing patches.
    Removing cve-2015-5191.patch as it is part of the upstream release.
  * [e6b3fd5] Build using libssl-dev and libxmlsec1-dev. (Closes: #859416)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 12 Aug 2017 23:57:40 +0200

open-vm-tools (2:10.1.5-5055683-5) unstable; urgency=high

  * [dec8df6] Upstream fix for CVE-2015-5191 (Closes: #869633)
  * [718133e] Enable PrivateTmp for the open-vm-tools.service.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 Jul 2017 10:46:40 +0200
