=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,10 @@
 			--libdir=\$${prefix}/lib \
 			--without-kernel-modules \
 			--with-pic \
+			--enable-xmlsec1 \
 			CFLAGS="-fPIC -Wno-deprecated-declarations $(CFLAGS)" \
 			CUSTOM_PROCPS_NAME=procps \
-			CXXFLAGS='-std=gnu++11'
+			CXXFLAGS='-std=c++14'
 	find . -name Makefile -exec sed -i '/.*CPPFLAGS.*/s,-std=c++11,,' '{}' \;
 
 override_dh_auto_install:
@@ -125,6 +126,7 @@
 	dh_systemd_start -popen-vm-tools
 	dh_systemd_start -popen-vm-tools --name vgauth
 	dh_systemd_start -popen-vm-tools-desktop -r --no-restart-after-upgrade run-vmblock\\x2dfuse.mount
+	sed -i 's,run-vmblock\\x2dfuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
 	sed -i 's,run-vmblock-fuse,run-vmblock\\\\x2dfuse,g' debian/*.debhelper
 
 override_dh_installchangelogs:
