=== debian/changelog ===
open-vm-tools (2:10.2.0-3~ubuntu0.16.04.1) xenial; urgency=medium

  * backport Bionic open-vm-tools to Xenial (LP: #1741390)
    - d/control: B-D for dh-autoreconf and dh-systemd
    - d/rules: re-add autoreconf and systemd
    - d/control: B-D to debhelper version of xenial supporting compat 10
    - d/compat: compat level 10 is latest xenial supported level
    - d/rules: go back from override_dh_installsystemd to
      override_dh_systemd_enable and override_dh_systemd_start as needed on
      xenials debhelper version.
    - d/rules: drop --no-restart-after-upgrade which only exists in debhelper
      10, the version 9 behavior defaults to what we need.
    - debian/rules: dh_systemd_start in xenial has issues with the escaping of
      the run-vmblock\\x2dfuse.mount job, so drop this call
    - debian/open-vm-tools-desktop.postinst: add a fixed version of what
      dh_systemd_start would have added
    - d/open-vm-tools-desktop.prerm, d/open-vm-tools-desktop.postrm: add what
      dh_systemd_start would have added (as-is since those sections worked)
    - d/control: update maintainers
  * d/open-vm-tools.service: Add After=local-fs.target dependency ensuring
    filesystems are ready to fix a race on startup (LP: #1750780)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Feb 2018 09:36:20 +0100

open-vm-tools (2:10.2.0-3ubuntu3) bionic; urgency=medium

  * Disable PrivateTmp for the open-vm-tools.service as it triggers issues
    when triggering processes that need tmp through VMOMI API (LP: #1758428)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Apr 2018 11:23:58 +0200

open-vm-tools (2:10.2.0-3ubuntu2) bionic; urgency=medium

  * Revert change in d/open-vm-tools.service that added After=local-fs.target.
    It turned out that the systemd in bionic already implicitly fixes
    this issue (the change is still needed for backports) (LP: 1750780)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 27 Feb 2018 08:03:13 +0100

open-vm-tools (2:10.2.0-3ubuntu1) bionic; urgency=medium

  * d/open-vm-tools.service: Add After=local-fs.target dependency ensuring
    filesystems are ready to fix a race on startup (LP: #1750780)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 22 Feb 2018 08:39:26 +0100

open-vm-tools (2:10.2.0-3) unstable; urgency=medium

  * [47e50a1] Fix debhelper dep for backports
  * [34538a5] Make tools.conf useful.
    Thanks to Dariusz Gadomski (Closes: #889884)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 14 Feb 2018 17:22:52 +0100

open-vm-tools (2:10.2.0-2) unstable; urgency=medium

  * [249d54c] Fix wayland segfault.
    Adding a patch from Fedora to fix a wayland/gnome related segfault.
    Thanks to Oliver Kurth (Closes: #887755)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 23 Jan 2018 23:50:17 +0100

open-vm-tools (2:10.2.0-1) unstable; urgency=medium

  * [f0bf956] Add .travis.yml which was removed by gbp.
  * [892e2f6] Build with gtk3.
  * [03a655b] Check if debhelper handles \ in systemd units.
    Thanks to Oliver Kurth (Closes: #886191)
  * [5bf9301] Drop -dkms package.
    Thanks to Christian Ehrhardt (Closes: #884656)
  * [236cdba] Update upstream source from tag 'upstream/10.2.0'
    Update to upstream version '10.2.0'
    with Debian dir d5190e486b6beb65ee7ed31c0c23a789b8f60cab
    (Closes: #884496)
  * [692beff] snapshot changelog.
  * [45aa743] Add .travis.yml which was removed by gbp.
  * [aabeded] Fix dpkg --compare-versions call
  * [0697425] Better debhelper version parsing.
  * [390ec09] fix even more makefile bugs.
  * [6e5fa38] Refreshing patches.
    Dropping kernel-module related patches.
  * [cbfec05] Drop dh_autoreconf, not needed anymore.
  * [d5fef50] autotools-dev is done by dh now.
  * [b66ab14] use dh_installsystemd

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 19 Jan 2018 12:52:49 +0100

open-vm-tools (2:10.1.15-1) unstable; urgency=medium

  * [78a17f1] Remove fixed CXX std setting.
  * [f96f479] Updated version 10.1.15 from 'upstream/10.1.15'
    with Debian dir c44394c71e055f4cfd3a15ee578fc9895d64ebb1
  * [682790b] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 15:02:46 +0200

open-vm-tools (2:10.0.7-3227872-5ubuntu1~16.04.2) xenial; urgency=medium

  * Make tools.conf template useful. (LP: #1748122)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Thu, 15 Feb 2018 11:19:17 +0100

open-vm-tools (2:10.0.7-3227872-5ubuntu1~16.04.1) xenial; urgency=low

  * Backport to xenial for kernel 4.8 support.  (LP: #1662116)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 06 Feb 2017 16:15:40 +0000

open-vm-tools (2:10.0.7-3227872-5ubuntu1) yakkety; urgency=low

  * Merge with Debian; remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 30 Sep 2016 16:03:58 +0100

open-vm-tools (2:10.0.7-3227872-4.1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Build without xmlsecurity support and xerces for now (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Aug 2016 14:23:27 +0200

open-vm-tools (2:10.0.7-3227872-2ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Apr 2016 22:58:57 +0000
